Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::WriteArchive Class Reference

Will return a shared pointer to the archive writer. More...

`#include <ReadWrite.h>`

## Public Member Functions

| WriteArchive ()
::Alembic::AbcCoreAbstract::ArchiveWriterPtr | operator() (const std::string &iFileName, const ::Alembic::AbcCoreAbstract::MetaData &iMetaData) const
::Alembic::AbcCoreAbstract::ArchiveWriterPtr | operator() (std::ostream *iStream, const ::Alembic::AbcCoreAbstract::MetaData &iMetaData) const

## Detailed Description

Will return a shared pointer to the archive writer.

Definition at line 49 of file ReadWrite.h.

## Constructor & Destructor Documentation

## WriteArchive()

Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::WriteArchive::WriteArchive | ( |  | ) |

## Member Function Documentation

## operator()() [1/2]

::Alembic::AbcCoreAbstract::ArchiveWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::WriteArchive::operator() | ( | const std::string & | iFileName,
|  | const ::Alembic::AbcCoreAbstract::MetaData & | iMetaData ) const

## operator()() [2/2]

::Alembic::AbcCoreAbstract::ArchiveWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::WriteArchive::operator() | ( | std::ostream * | iStream,
|  | const ::Alembic::AbcCoreAbstract::MetaData & | iMetaData ) const

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcCoreOgawa/ReadWrite.h